Bug 888314 - [abrt] autossh-1.4c-3.fc17: __nanosleep_nocancel: Process /usr/bin/autossh was killed by signal 6 (SIGABRT)
Summary: [abrt] autossh-1.4c-3.fc17: __nanosleep_nocancel: Process /usr/bin/autossh wa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: autossh
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Boström
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1fa5ab3ede4d9ce70ce1aeb896e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 13:44 UTC by Bostjan
Modified: 2013-07-31 12:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 12:06:02 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (759 bytes, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: environ (3.07 KB, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: backtrace (4.48 KB, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: smolt_data (3.38 KB, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: cgroup (126 bytes, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: executable (16 bytes, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: maps (1.85 KB, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: dso_list (306 bytes, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: var_log_messages (4.32 KB, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details
File: open_fds (312 bytes, text/plain)
2012-12-18 13:44 UTC, Bostjan
no flags Details

Description Bostjan 2012-12-18 13:44:16 UTC
Description of problem:
Crashed upon startup

Version-Release number of selected component:
autossh-1.4c-3.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        autossh -M29001 '' '' '' -N -q -p 2222 -L 9091:localhost:9091 remote
crash_function: __nanosleep_nocancel
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (4 frames)
: #0 __nanosleep_nocancel at ../sysdeps/unix/syscall-template.S:82
: #1 __sleep at ../sysdeps/unix/sysv/linux/sleep.c:138
: #2 grace_time at autossh.c:1092
: #3 ssh_run at autossh.c:728

Comment 1 Bostjan 2012-12-18 13:44:19 UTC
Created attachment 665489 [details]
File: core_backtrace

Comment 2 Bostjan 2012-12-18 13:44:21 UTC
Created attachment 665490 [details]
File: environ

Comment 3 Bostjan 2012-12-18 13:44:23 UTC
Created attachment 665491 [details]
File: limits

Comment 4 Bostjan 2012-12-18 13:44:25 UTC
Created attachment 665492 [details]
File: backtrace

Comment 5 Bostjan 2012-12-18 13:44:27 UTC
Created attachment 665493 [details]
File: smolt_data

Comment 6 Bostjan 2012-12-18 13:44:30 UTC
Created attachment 665494 [details]
File: cgroup

Comment 7 Bostjan 2012-12-18 13:44:35 UTC
Created attachment 665495 [details]
File: executable

Comment 8 Bostjan 2012-12-18 13:44:37 UTC
Created attachment 665496 [details]
File: maps

Comment 9 Bostjan 2012-12-18 13:44:39 UTC
Created attachment 665497 [details]
File: dso_list

Comment 10 Bostjan 2012-12-18 13:44:41 UTC
Created attachment 665498 [details]
File: proc_pid_status

Comment 11 Bostjan 2012-12-18 13:44:43 UTC
Created attachment 665499 [details]
File: var_log_messages

Comment 12 Bostjan 2012-12-18 13:44:45 UTC
Created attachment 665500 [details]
File: open_fds

Comment 13 Fedora End Of Life 2013-07-03 19:06:34 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2013-07-31 12:06:06 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.